sayren Docs
내 정보

취소·반품·교환 미리보기

신청 폼에 예상 환불·흐름 취소 수수료(`deductAmount`)를 보인다. 저장하지 않는다. 접수할 수 없는 상태·기간이면 접수와 같은 409다.

POST
/storefront/v1/me/order-items/{orderItemId}/claims/preview

신청 폼에 예상 환불·흐름 취소 수수료(deductAmount)를 보인다. 저장하지 않는다. 접수할 수 없는 상태·기간이면 접수와 같은 409다.

Authorization

headerAuthorizationBearer <token>

회원 accessToken

Path Parameters

orderItemId*string

Request Body

application/json
  1. body
type*string
Value in"CANCEL""RETURN""EXCHANGE"
reason*string
Value in"CHANGE_OF_MIND""WRONG_ORDER""DEFECTIVE""WRONG_DELIVERY""DIFFERENT_FROM_PAGE""DELAY"
reasonDetail?string
Lengthlength <= 1000
evidenceImages?array<>
Itemsitems <= 5
exchangeOptionId?string
quantity?integer

취소·반품·교환할 수량. 생략하면 남은 수량 전체다. 남은 수량보다 크면 400 INVALID_QUANTITY

Range1 <= value

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X POST 'https://api.sayren.io/storefront/v1/me/order-items/string/claims/preview' \  -H 'Content-Type: application/json' \  -d '{  "type": "CANCEL",  "reason": "CHANGE_OF_MIND"}'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "approved": false,    "expectedRefundAmount": 0,    "claimDeliveryFee": 0,    "quantity": 0,    "deliveryFeeRefundAmount": 0,    "couponChargeAmount": 0,    "couponChargeRefundAmount": 0,    "pointRefundAmount": 0,    "deductAmount": 0  },  "error": null}